# Exploring Space Efﬁciency in a Tree-based Linear Model for Extreme Multi-label Classiﬁcation

This is the code for our work "Exploring Space Efﬁciency in a Tree-based Linear Model for Extreme Multi-label Classiﬁcation" published in EMNLP 2024.
If you have any questions related to this work, please contact He-Zhe Lin (b07902028[AT]csie[DOT]ntu[DOT]edu[DOT]tw).

## Environment
We encourage users to set up a virtual enviroment with python 3.8 to conduct the experiments.
After that, please use the following to install necessary packages.
```
pip install -r requirements.txt
```

## Generate Data
You can use the script `get_datasets.sh` to generate the data sets.

> [!NOTE]
> We made some mistakes on the source of the used data sets.
> - For Wiki-500k and Amazon-3m sets, the source link is
https://archive.org/download/pecos-dataset/xmc-base/
instead of the AttentionXML github repository.
> - For EUR-Lex set, what the author used is the raw text files, and the TF-IDF features are > generated with the default setting in `LibMultiLabel`.
> For consistency, we give the link for `.svm` files in the script.
> The main differences is that `.svm` files contain less useless features.
> However, the tree model sizes for the `.svm` and `.txt` files are similar.

## Build the Trees for fixed-K Setting
Just run the following command.
```
bash gen_fixed_K_trees.sh
```
It uses the python code `tree_space.py` to build trees with different parameters.

## Build the Trees for varied-K Setting
Just run the following command.
```
bash gen_varied_K_trees.sh
```
It uses the python code `tree_space.py` to build trees with different parameters.

## Generate Figures in the Paper
Simply run
```
python3 gen_figs.py
```