import scipy
import numpy
import tqdm
from argparse import ArgumentParser

parser = ArgumentParser()
parser.add_argument("x_file")
parser.add_argument("y_file")
parser.add_argument("output_file")
args = parser.parse_args()

x = scipy.sparse.load_npz(args.x_file)
y = scipy.sparse.load_npz(args.y_file)

print("x.shape", x.shape)
print("y.shape", y.shape)
n = y.shape[0]
L = y.shape[1]

with open(args.output_file, "w") as f:
    for i in tqdm.tqdm(range(n), ncols=50):
        start, end = y.indptr[i], y.indptr[i+1]
        labels = list(map(str, y.indices[start:end]))
        output_y = ','.join(labels)
        
        start, end = x.indptr[i], x.indptr[i+1]
        indices = x.indices[start:end] + 1
        data = x.data[start:end]
        features = [f'{idx}:{value}' for idx, value in zip(indices, data)]
        output_x = ' '.join(features)

        print(output_y, output_x, file=f)