label_tree_dir="label_tree_obj"
inner_depths=(1 2 3)

datasets=("eurlex" "amazoncat-13k" "wiki10-31k"
          "wiki-500k" "amazon-670k" "amazon-3m")

for dataset in "${datasets[@]}"
do
    if [ $dataset == "eurlex" ]; then
        fanouts=(64 16 8 6 4)
    fi
    if [ $dataset == "amazoncat-13k" ]; then
        fanouts=(116 24 11 7 5)
    fi
    if [ $dataset == "wiki10-31k" ]; then
        fanouts=(176 32 14 8 6)
    fi
    if [ $dataset == "wiki-500k" ]; then
        fanouts=(708 80 27 14 9)
    fi
    if [ $dataset == "amazon-670k" ]; then
        fanouts=(819 88 29 15 10)
    fi
    if [ $dataset == "amazon-3m" ]; then
        fanouts=(1677 142 41 20 12)
    fi

    for i in {1..3}
    do
        for seed in {0..1}
        do
            echo "python3 tree_space.py build_tree svm $dataset --cluster elkan --K ${fanouts[i-1]} --dmax $i --seed $seed --verbose --clip_alphas"
            time python3 tree_space.py build_tree svm $dataset $label_tree_dir \
                --cluster elkan \
                --K "${fanouts[i-1]}" \
                --dmax $i \
                --seed $seed \
                --verbose \
                --plot_alphas
        done
    done
done