#!/usr/bin/env bash

if [ ! -d "data" ]; then
    mkdir data
fi

cd data

mkdir -p eurlex && cd eurlex
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/eurlex_tfidf_train.svm.bz2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/eurlex_tfidf_test.svm.bz2
bzip2 -d eurlex_tfidf_train.svm.bz2 && mv eurlex_tfidf_train.svm train.svm 
bzip2 -d eurlex_tfidf_test.svm.bz2 && mv eurlex_tfidf_test.svm test.svm
cd ..

mkdir -p amazoncat-13k && cd amazoncat-13k
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/AmazonCat-13K_tfidf_train_ver1.svm.bz2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/AmazonCat-13K_tfidf_test_ver1.svm.bz2
bzip2 -d AmazonCat-13K_tfidf_train_ver1.svm.bz2 && mv AmazonCat-13K_tfidf_train_ver1.svm train.svm
bzip2 -d AmazonCat-13K_tfidf_test_ver1.svm.bz2 && mv AmazonCat-13K_tfidf_test_ver1.svm test.svm
cd ..

mkdir -p wiki10-31k && cd wiki10-31k
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/wiki10_31k_tfidf_train.svm.bz2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/wiki10_31k_tfidf_test.svm.bz2
bzip2 -d wiki10_31k_tfidf_train.svm.bz2 && mv wiki10_31k_tfidf_train.svm train.svm
bzip2 -d wiki10_31k_tfidf_test.svm.bz2 && mv wiki10_31k_tfidf_test.svm test.svm
cd ..

mkdir -p amazon-670k && cd amazon-670k
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/Amazon-670K_tfidf_train_ver2.svm.bz2
wget https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel/Amazon-670K_tfidf_test_ver2.svm.bz2
bzip2 -d Amazon-670K_tfidf_train_ver2.svm.bz2 && mv Amazon-670K_tfidf_train_ver2.svm train.svm
bzip2 -d Amazon-670K_tfidf_test_ver2.svm.bz2 && mv Amazon-670K_tfidf_test_ver2.svm test.svm
cd ..

wget https://archive.org/download/pecos-dataset/xmc-base/wiki-500k.tar.gz
tar -xvzf wiki-500k.tar.gz
mv xmc-base/wiki-500k .

wget https://archive.org/download/pecos-dataset/xmc-base/amazon-3m.tar.gz
tar -xvzf amazon-3m.tar.gz
mv xmc-base/amazon-3m .

cd ..
python3 csr_to_libsvm.py data/wiki-500k/tfidf-attnxml/X.trn.npz data/wiki-500k/Y.trn.npz data/wiki-500k/train.svm
python3 csr_to_libsvm.py data/wiki-500k/tfidf-attnxml/X.tst.npz data/wiki-500k/Y.tst.npz data/wiki-500k/test.svm

python3 csr_to_libsvm.py data/amazon-3m/tfidf-attnxml/X.trn.npz data/amazon-3m/Y.trn.npz data/amazon-3m/train.svm
python3 csr_to_libsvm.py data/amazon-3m/tfidf-attnxml/X.tst.npz data/amazon-3m/Y.tst.npz data/amazon-3m/test.svm